#ifndef __LCD_H
#define __LCD_H

#ifndef _RX62N_HARDWARE
#  error "Error: you shouldn't need to know about this file."
#endif

#define LCD_COMMAND_PAGE_ZERO    0x28
#define LCD_COMMAND_PAGE_ONE     0x29
#define LCD_COMMAND_PAGE_TWO     0x2A
#define LCD_COMMAND_PAGE_THREE   0x2B
 

const uint8_t * const Fontx5x7_table[256];

void lcd_open();


void lcd_clear_chars (void);

void lcd_pset (uint8_t, uint8_t);
void lcd_preset (uint8_t, uint8_t);
void lcd_gotoxy (int, int);
void lcd_cgrom_gotoxy (int, int);
void lcd_printf(const char *, ...);
void lcd_cgrom_printf (const char *, ...);
void lcd_boot_logo (void);
#endif /* __LCD_H */
 
 
