#include <hardware.h>

void
adt7420_init (void)
{
  uint8_t  temp_data[2];
  
  
  temp_data[0] = BSP_TEMP_CFG;
  temp_data[1] = 0x00;
  
  i2c_master_write (BSP_TEMP_ADDR, &temp_data[0], 2, 1);
}

float 
adt7420_read (void)
{
  uint8_t  temp_data[2];
  uint16_t  temp;
  float  val;
    
  temp_data[0] = BSP_TEMP_REG;
  
  i2c_master_write (BSP_TEMP_ADDR, &temp_data[0], 1, 0);

  i2c_master_read (BSP_TEMP_ADDR, &temp_data[0], 2, 0);
  
  temp  = temp_data[0] << 8;
  temp += temp_data[1];
  temp  = temp >> 3;

  val   = (float) temp * 0.0625f;

  return (val);
}

