#ifndef _ADXL345_H 
#define _ADXL345_H 

#ifndef _RX62N_HARDWARE
#  error "Error: you shouldn't need to know about this file."
#endif

#define DATA_FORMAT_REG 0x31u
#define POWER_CTRL      0x2Du
#define FIFO_CTRL       0x38u
#define DATAX0          0x32u
#define DATAY0          0x34u
#define DATAZ0          0x36u

#define ACCEL_ADDR  (0x3A >> 1)

void adxl345_init (void);
int16_t adxl345_read_x (void);
int16_t adxl345_read_y (void);
int16_t adxl345_read_z (void);
void adxl345_calibrate (void);

#endif /* _ADXL345_H */
