#ifndef _BMP_H
#define _BMP_H

#define BLINK_CYCLES 1000000

#define BMP_MAGIC    0x4d42

struct bmp_header
{
  uint16_t magic;
  uint32_t size;
  uint32_t reserved;
  uint32_t offset;
} __attribute__ ((packed));

/* Muchos más, pero estos son los únicos que me interesan */
struct bmp_v5header
{
  uint32_t size;
  uint32_t width;
  uint32_t height;
  uint16_t planes;
  uint16_t bpp;
  uint32_t compression;
} __attribute__ ((packed));



#endif /* _BMP_H */
